Receive a vendor webhook for an installed integration
POST
/environment-integration-webhook/{environment_integration_id}
Path Parameters
environment_integration_idstring · uuid
required
Response Body
messagestring
Example:
Webhook receivedcurl -X POST 'https://api.truto.one/environment-integration-webhook/{environment_integration_id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/environment-integration-webhook/{environment_integration_id}', {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/environment-integration-webhook/{environment_integration_id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.post(url, headers=headers, params=params)
print(response.json())